Subject: Re: Linux-2.6.9-rc2 kernel build for mvme5100

From: Matt Porter <[email-masked]>
Date: Wed, 22 Sep 2004 09:47:56 -0700

On Wed, Sep 22, 2004 at 09:33:09AM -0700, Tom Rini wrote:
> On Tue, Sep 21, 2004 at 08:55:41AM +1000, David Gardiner wrote:
> 
> > Okay I took a different way, looking at the code and having lots of 
> > problems trying to get it to compile and the similarity between the 
> > PowerPlus series I compiled a pplus kernel with the default config and 
> > the patch above and it booted, yeah, and dumped bits to the console, on 
> > an mvme2604.
> > 
> > So I made some changes Kconfig so that MVME5100 and PPLUS were basically 
> > the same ( The architecture for the 5100 and pplus are similar, so why 
> > was the code separated? arrgh I'm about to be burnt to a crisp, but if 
> > we don't get our fingers burnt we never learn) which the patch for is 
> > attached. This patch also allows the selection of nvram which I want 
> > also and it seems to compile no matter what you select, which it didn't 
> > before. And so selecting MVME5100 it booted and dumped bits to the 
> > console, yeah.
> 
> I _think_ the answer is simply that the mvme5100 work predated the
> CONFIG_PPLUS work.  If you can come up with a patch that adds mvme5100
> support to CONFIG_PPLUS, we can get rid of the MVME5100-specific stuff.
> (And, if you do, please look at Documentation/SubmittingPatches and the
> Developers Certificate of Origin).

This is true. When Randy Vinson did the CONFIG_PPLUS work, he decided
to initially just gather up all the boards that were covered (in a
suboptimal fashion) under PReP. The idea was to bring the other
standalone boards into CONFIG_PPLUS in the future, but nobody has
gotten around to it...until now, apparently. 

-Matt